Subject: Re: bug#69008: 29.2; Emacs 29.2 crashes when load-library a .dylib on MacOS Sonoma 14.3.1

From: Marco Antoniotti <[email-masked]>
Date: Sat, 10 Feb 2024 10:40:03 +0100

Hi,

The code of my module is in the Github repo belo (sorry about the
licensing, the format, being on Github, etc).  I also attached the MacOS
crash report.  I hope it helps.  Sorry, but I am just running Emacs and I
really do not have the time to dig more into its guts.

I get the .dylib and move it in the `load-path`.  Doing M-x load-library
crashes Emacs.

Maybe I am just doing something very stupid.  You tell me.

https://github.com/marcoxa/platel

Thank you for your work.

All the best

Marco

On Sat, Feb 10, 2024 at 8:33 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Marco Antoniotti <[email-masked]>
> > Date: Fri, 9 Feb 2024 23:23:18 +0100
> >
> > I just tried M-x load-library on a .dylib I created to test the
> > module/extension writing facility.  The library is very simple and
> > follows the example in the documentation.
> >
> > Sorry, EMacs just crashed and I don't know what other info to send you.
>
> The crash backtrace information is one kind of data we could find
> useful.  The source code of your module is another.
>
> Thanks.
>